Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTreeUI.FocusHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.FocusHandler

All Implemented Interfaces:
  `FocusListener`, `EventListener`

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.FocusHandler
    extends Object
    implements FocusListener

Repaints the lead selection row when focus is lost/gained.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FocusHandler()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `focusGained​(FocusEvent e)` | Invoked when focus is activated on the tree we're in, redraws the lead row.
`void` | `focusLost​(FocusEvent e)` | Invoked when focus is activated on the tree we're in, redraws the lead row.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FocusHandler

public FocusHandler()

## Method Details

### focusGained

public void focusGained​(FocusEvent e)
Invoked when focus is activated on the tree we're in, redraws the lead row.

Specified by:
  `focusGained` in interface `FocusListener`
Parameters:
  `e` - the event to be processed

### focusLost

public void focusLost​(FocusEvent e)
Invoked when focus is activated on the tree we're in, redraws the lead row.

Specified by:
  `focusLost` in interface `FocusListener`
Parameters:
  `e` - the event to be processed